Functions
FIFO Access
Peripheral Driver » LL Driver » ADC » Functions

## Functions
__STATIC_INLINE uint32_t | ll_adc_read_fifo (void)
| Return samples value of ADC by reading FIFO. More...
__STATIC_INLINE void | ll_adc_set_thresh (uint32_t thresh)
| Set threshold of ADC FIFO. More...
__STATIC_INLINE uint32_t | ll_adc_get_thresh (void)
| Return threshold of ADC FIFO. More...
__STATIC_INLINE void | ll_adc_enable_dma_req (void)
| Enable ADC dma_req. More...
__STATIC_INLINE void | ll_adc_disable_dma_req (void)
| Disable ADC dma_req. More...
__STATIC_INLINE uint32_t | ll_adc_is_enabled_dma_req (void)
| Check if dma_req is enabled. More...
__STATIC_INLINE uint32_t | ll_adc_is_fifo_notempty (void)
| Check if ADC FIFO is not empty. More...
__STATIC_INLINE uint32_t | ll_adc_get_fifo_count (void)
| Return count of ADC FIFO. More...
__STATIC_INLINE void | ll_adc_flush_fifo (void)
| Flush ADC FIFO. More...
__STATIC_INLINE uint32_t | ll_adc_try_lock_hw_token (void)
| Try to lock hw token. More...
__STATIC_INLINE void | ll_adc_release_hw_token (void)
| Release hw token. More...
__STATIC_INLINE uint32_t | ll_adc_try_lock_sw_token (void)
| Try to lock sw token. More...
__STATIC_INLINE void | ll_adc_release_sw_token (void)
| Release sw token. More...
__STATIC_INLINE uint32_t | ll_adc_get_token_state (void)
| get adc token state. More...

## Detailed Description

## Function Documentation

## ◆ ll_adc_disable_dma_req()

__STATIC_INLINE void ll_adc_disable_dma_req | ( | void |  | ) |

Disable ADC dma_req.

Register|BitsName --------|-------- SENSE_FF_THRESH | MCU_SUB_SNSADC_FF_DMA_EN

Return values

  None |

Definition at line 869 of file ll_adc.h.

## ◆ ll_adc_enable_dma_req()

__STATIC_INLINE void ll_adc_enable_dma_req | ( | void |  | ) |

Enable ADC dma_req.

Register|BitsName --------|-------- SENSE_FF_THRESH | MCU_SUB_SNSADC_FF_DMA_EN

Return values

  None |

Definition at line 855 of file ll_adc.h.

## ◆ ll_adc_flush_fifo()

__STATIC_INLINE void ll_adc_flush_fifo | ( | void |  | ) |

Flush ADC FIFO.

Register|BitsName --------|-------- SENSE_ADC_STAT | FF_FLUSH

Return values

  void |

Definition at line 925 of file ll_adc.h.

## ◆ ll_adc_get_fifo_count()

__STATIC_INLINE uint32_t ll_adc_get_fifo_count | ( | void |  | ) |

Return count of ADC FIFO.

Register|BitsName --------|-------- SENSE_ADC_STAT | FF_COUNT

Return values

  Returned | value can be a value between: 0 ~ 64

Definition at line 911 of file ll_adc.h.

## ◆ ll_adc_get_thresh()

__STATIC_INLINE uint32_t ll_adc_get_thresh | ( | void |  | ) |

Return threshold of ADC FIFO.

Register|BitsName --------|-------- SENSE_FF_THRESH | SENSE_FF_THRESH

Return values

  Returned | value can be a value between: 0 ~ 64

Definition at line 841 of file ll_adc.h.

## ◆ ll_adc_get_token_state()

__STATIC_INLINE uint32_t ll_adc_get_token_state | ( | void |  | ) |

get adc token state.

Register|BitsName --------|-------- SENSE_ADC_TKN_STS

Return values

  Returned | value from SENSE_ADC_TKN_STS reg

Definition at line 995 of file ll_adc.h.

## ◆ ll_adc_is_enabled_dma_req()

__STATIC_INLINE uint32_t ll_adc_is_enabled_dma_req | ( | void |  | ) |

Check if dma_req is enabled.

Register|BitsName --------|-------- SENSE_FF_THRESH | MCU_SUB_SNSADC_FF_DMA_EN

Return values

  State | of bit (1 or 0).

Definition at line 883 of file ll_adc.h.

## ◆ ll_adc_is_fifo_notempty()

__STATIC_INLINE uint32_t ll_adc_is_fifo_notempty | ( | void |  | ) |

Check if ADC FIFO is not empty.

Register|BitsName --------|-------- SENSE_ADC_STAT | VAL

Return values

  State | of bit (1 or 0).

Definition at line 897 of file ll_adc.h.

## ◆ ll_adc_read_fifo()

__STATIC_INLINE uint32_t ll_adc_read_fifo | ( | void |  | ) |

Return samples value of ADC by reading FIFO.

Note
  There are two value in the register, both of them is 16bits.

Register|BitsName --------|-------- SENSE_ADC_FIFO | SENSE_ADC_FIFO

Return values

  Smaples | value of input

Definition at line 812 of file ll_adc.h.

## ◆ ll_adc_release_hw_token()

__STATIC_INLINE void ll_adc_release_hw_token | ( | void |  | ) |

Release hw token.

Register|BitsName --------|-------- SENSE_ADC_RET_TKN_HW | HW_RELEASE_MSK

Return values

  none |

Definition at line 953 of file ll_adc.h.

## ◆ ll_adc_release_sw_token()

__STATIC_INLINE void ll_adc_release_sw_token | ( | void |  | ) |

Release sw token.

Register|BitsName --------|-------- SENSE_ADC_RET_TKN_SW | SW_RELEASE_MSK

Return values

  none |

Definition at line 981 of file ll_adc.h.

## ◆ ll_adc_set_thresh()

__STATIC_INLINE void ll_adc_set_thresh | ( | uint32_t | thresh | ) |

Set threshold of ADC FIFO.

Register|BitsName --------|-------- SENSE_FF_THRESH | SENSE_FF_THRESH

Parameters

  thresh | This parameter can be a value between: 0 ~ 64

Return values

  None |

Definition at line 827 of file ll_adc.h.

## ◆ ll_adc_try_lock_hw_token()

__STATIC_INLINE uint32_t ll_adc_try_lock_hw_token | ( | void |  | ) |

Try to lock hw token.

Register|BitsName --------|-------- SENSE_ADC_GET_TKN_HW

Return values

  Returned | true if hw lock adc token success; return false if hw lock adc token fail

Definition at line 939 of file ll_adc.h.

## ◆ ll_adc_try_lock_sw_token()

__STATIC_INLINE uint32_t ll_adc_try_lock_sw_token | ( | void |  | ) |

Try to lock sw token.

Register|BitsName --------|-------- SENSE_ADC_GET_TKN_SW

Return values

  Returned | true if sw lock adc token success; return false if sw lock adc token fail

Definition at line 967 of file ll_adc.h.